net.sf.jasperreports.web.util

## Class ReportInteractionHyperlinkProducer

- java.lang.Object
- - net.sf.jasperreports.web.util.ReportExecutionHyperlinkProducer
  - - net.sf.jasperreports.web.util.ReportInteractionHyperlinkProducer

- All Implemented Interfaces:
    JRHyperlinkProducer

      public class ReportInteractionHyperlinkProducer
      extends ReportExecutionHyperlinkProducer

  Version:
    $Id: ReportInteractionHyperlinkProducer.java 5880 2013-01-07 20:40:06Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `HYPERLINK_TYPE_REPORT_INTERACTION`

    - ### Fields inherited from class net.sf.jasperreports.web.util.ReportExecutionHyperlinkProducer

      `HYPERLINK_TYPE_REPORT_EXECUTION, jasperReportsContext, PARAMETER_REPORT_URI`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ReportInteractionHyperlinkProducer(JasperReportsContext jasperReportsContext, javax.servlet.http.HttpServletRequest request)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ReportInteractionHyperlinkProducer` | `getInstance(JasperReportsContext jasperReportsContext, javax.servlet.http.HttpServletRequest request)`
    `java.lang.String` | `getPath()`

    - ### Methods inherited from class net.sf.jasperreports.web.util.ReportExecutionHyperlinkProducer

      `getHyperlink`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HYPERLINK_TYPE_REPORT_INTERACTION

          public static final java.lang.String HYPERLINK_TYPE_REPORT_INTERACTION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ReportInteractionHyperlinkProducer

          protected ReportInteractionHyperlinkProducer(JasperReportsContext jasperReportsContext,
                                            javax.servlet.http.HttpServletRequest request)

  - ### Method Detail

    - #### getInstance

          public static ReportInteractionHyperlinkProducer getInstance(JasperReportsContext jasperReportsContext,
                                                       javax.servlet.http.HttpServletRequest request)

    - #### getPath

          public java.lang.String getPath()

      Overrides:
        `getPath` in class `ReportExecutionHyperlinkProducer`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com